# addMedia

Side-load media onto the target device, allowing you to use them as part of the test execution.\
\
Supported file types:

* PNG
* JPEG
* JPG
* GIF
* MP4

## Examples

Add two media files to the target device

```yaml
- addMedia:
    - profile_picture.jpeg # or any other file
    - smiley_face.gif
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moropo.com/creating-tests/commands/addmedia.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
